| XMP Toolkit SDK 6.0.0

Public Member Functions | Protected Member Functions | List of all members
AdobeXMPCommon::IThreadSafe Class Referenceabstract

Interface that serves as the base interface for all the externally exposed interfaces which needs to provide client configurable thread safety. More...

`#include <IThreadSafe.h>`

Inheritance diagram for AdobeXMPCommon::IThreadSafe:

## Public Member Functions
virtual void APICALL | EnableThreadSafety () const __NOTHROW__=0
| Enables the thread safety on an object. More...
virtual void APICALL | DisableThreadSafety () const __NOTHROW__=0
| Disables the thread safety on an object. More...
virtual bool APICALL | IsThreadSafe () const =0
| Informs whether object can be used across multiple threads or not. More...

## Protected Member Functions
| REQ_FRIEND_CLASS_DECLARATION ()

## Detailed Description

Interface that serves as the base interface for all the externally exposed interfaces which needs to provide client configurable thread safety.

Attention
  In case client has disabled thread safety at the module level these functions will have no use.

Note
  By default all the objects created are not thread safe.

Definition at line 29 of file IThreadSafe.h.

## Member Function Documentation

## ◆ DisableThreadSafety()

virtual void APICALL AdobeXMPCommon::IThreadSafe::DisableThreadSafety | ( |  | ) | const
| pure virtual

Disables the thread safety on an object.

After calling this function the object should not be used across multiple threads.

## ◆ EnableThreadSafety()

virtual void APICALL AdobeXMPCommon::IThreadSafe::EnableThreadSafety | ( |  | ) | const
| pure virtual

Enables the thread safety on an object.

After calling this function the object can be used across multiple threads.

## ◆ IsThreadSafe()

virtual bool APICALL AdobeXMPCommon::IThreadSafe::IsThreadSafe | ( |  | ) | const
| pure virtual

Informs whether object can be used across multiple threads or not.

Returns
  bool value; true in case object can be used across multiple threads, false otherwise.

## ◆ REQ_FRIEND_CLASS_DECLARATION()

AdobeXMPCommon::IThreadSafe::REQ_FRIEND_CLASS_DECLARATION | ( |  | ) |
| protected

The documentation for this class was generated from the following file:

- public/include/XMPCommon/Interfaces/BaseInterfaces/IThreadSafe.h